Subject: Re: Seed Savers Exchange

From: [email-masked] ()
Date: Fri, 03 Mar 1995 11:01:59 +0530

In article <[email-masked]>, [email-masked] (Eileen
Kupstas) wrote:

> In article <[email-masked]>,
> MarkHess <[email-masked]> wrote:
> >Does anyone know how the Seed Savers Exchange works.  I know you can
> >become a member by sending so much money but what does that get you?  Do
> >you then get a certain amount of seeds a year?  Do you have to grow
> >something and send them seeds?  What is the deal?
> 
> DISCLAIMER: I don't have my info in front of me -- this is off the top
> of my head. 
> 
> Basically, a SSE membership is (more or less) what you want it to
> be.  You send them money (about $25 US, I think, with limited income
> memberships available), then SSE uses your money to fund its projects
> and sends you mailings about what is going on. What you do from here
> depends. The programs range from Heritage Farm upkeep and expansion
> (where SSE grows many heirloom plants) to an exchange effort with
> several ex-USSR countries to preserve their biological heritage and
> make the plants available outside the ex-USSR. The mailings include
> offers to purchase some of these seeds, as well as updates on
> progress, etc., as well as the "main event" -- a catalogue of
> heirloom seeds that are grown by SSE members that are available to
> other SSE members for cost of shipping.  For most seeds, you do not
> need to grow something yourself in trade, although this is
> encouraged. For a few rarer seeds or seeds in danger of being lost,
> you may be required to pledge to grow and then pass on seeds. Some
> seeds are available in limited quantities and only to those members
> who grow something themselves.
> 
> You are encouraged, though not required, to grow seeds yourself for
> exchange. (I don't, but would like to in the near future.) The goal
> of SSE is to preserve the diversity of genetic material that is 
> being lost for any number of reasons -- natural causes, growing
> dominance of hybrids in commercial agriculture, etc. SSE can't 
> preserve everything all in one place; many people are needed to 
> keep growing these plants and helping find other old plants in need
> of preservation.
> 
> SSE is mainly for food crops. The Flower and Herb Exchange (FHE)
> works similarly..
> 
> Eileen
> -- 
> Eileen Kupstas			    	  [email-masked]
> Univ. of North Carolina at Chapel Hill    Dept. of Computer Science
> Sometimes I despair of ever meeting my own standards. -- de Vries

> In article <[email-masked]>,
> MarkHess <[email-masked]> wrote:
> >Does anyone know how the Seed Savers Exchange works.  I know you can
> >become a member by sending so much money but what does that get you?  Do
> >you then get a certain amount of seeds a year?  Do you have to grow
> >something and send them seeds?  What is the deal?
> 
SSE is a wonderful organization to which I have belonged for several years.
I highly recommend joining and everything that has been posted is true.
This is a very cheap way to gain access to some very rare seeds and save
them for disappearing. SSE also offers life memberships which in the long
run are cheaper. The Flower and Herb Exchange is run through the Heritage
Farms also.
If you join look me up in the yearbook for some seeds. My code is MNEVR.
Good Gardening!
Roger Everhart